FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:${THISDIR}/${PN}/common:"

DESCRIPTION = "mptool is used to run testing, production and serialization tasks on Linux hardware"

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.GPLv2;md5=751419260aa954499f7abaabaa882bbe"

SRCBRANCH = "master"

RDEPENDS_${PN} += "bash"

#SRCREV = "${AUTOREV}"
#PV = "1.0+git${SRCPV}"
SRCREV = "54b25d5143bf96f80c8b7958a572ce7ac2f9a953"
SRC_URI = "git://${KTN_GIT_APPS}/mptool.git;protocol=ssh;branch=${SRCBRANCH}"
SRC_URI_http = "git://${KTN_GIT_APPS}/mptool.git;protocol=http;user=${KTN_GIT_USER}:${KTN_GIT_PWD};branch=${SRCBRANCH}"

SRC_URI_append = "\
	file://mptool.config;subdir=git \
	file://create-sd-card.sh \
	file://sd-card.layout \
	file://image-stm32mp-console-ktn-eglfs-stm32mp-t1000-s-multi.layout \
	file://image-stm32mp-qt-ktn-eglfs-stm32mp-t1000-s-multi.layout \
	file://image-ktn-ktn-stm32mp-t1000-s-multi.layout \
	file://image-ktn-qt-ktn-stm32mp-t1000-s-multi.layout \
	file://image-ktn-qt-ktn-eglfs-stm32mp-t1000-s-multi.layout \
	file://image-ktn-ktn-eglfs-stm32mp-t1000-s-multi.layout \
	file://image-ktn-ktn-stm32mp-t1000.layout \
	file://image-ktn-ktn-stm32mp-t1001.layout \
	file://image-ktn-ktn-stm32mp-t1004.layout \
	file://image-ktn-ktn-stm32mp-t1005.layout \
	file://image-ktn-qt-ktn-stm32mp-t1000-multi.layout \
	file://image-ktn-ktn-stm32mp-t1000-multi.layout \
	"

# Add extra EMMC configuration for Eval-Kits
SRC_URI_append_stm32mp-t1000-s-multi += "file://mptool_EMMC.config;subdir=git"
SRC_URI_append_stm32mp-t1000-multi += "file://mptool_EMMC.config;subdir=git"

FILES_${PN} += "\
	/usr \
	/etc \
	"
S = "${WORKDIR}/git"

do_install () {
	install -Dm 0755 ${S}/mptool ${D}${bindir}/mptool
	install -Dm 0755 ${S}/productionLib.sh ${D}/usr/lib/mptool/productionLib.sh	
	install -Dm 0755 ${S}/mptool-classic ${D}${bindir}/mptool-classic
	install -Dm 0755 ${S}/productionLib-classic.sh ${D}/usr/lib/mptool/productionLib-classic.sh	
	install -d ${D}${sysconfdir}
	install -Dm 0755 ${S}/mptool.config.fullsample ${D}${sysconfdir}/mptool.config.sample
	install -Dm 0755 ${S}/mptool*.config ${D}${sysconfdir}
}

inherit deploy

do_deploy () {
	install -d ${DEPLOYDIR}/script-mp
    install -m 0755 ${WORKDIR}/create-sd-card.sh ${DEPLOYDIR}/script-mp/
    install -m 0755 ${WORKDIR}/sd-card.layout ${DEPLOYDIR}/script-mp/
  
  	bbnote "Searching for files ... ${DISTRO}-${MACHINE}.layout"
	for layout in $(ls -1 ${WORKDIR}/*${DISTRO}-${MACHINE}.layout); do
		bbnote cp ${layout} ${DEPLOYDIR}/script-mp/$(basename ${layout})
		cp ${layout} ${DEPLOYDIR}/script-mp/$(basename ${layout})
	done
}

addtask deploy before do_build after do_compile
